Bug 135558 - i2c devices are not provided for sensors-detect
i2c devices are not provided for sensors-detect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 10:40 EDT by Leonid Kanter
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 11:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2004-10-13 10:40:14 EDT
Description of problem:

[root@leon root]# sensors-detect
No i2c device files found. Use prog/mkdev/mkdev.sh to create them.

[root@leon root]# MAKEDEV i2c
[root@leon root]# sensors-detect
...
help skipped
...
 We can start with probing for (PCI) I2C or SMBus adapters.
 You do not need any special privileges for this.
 Do you want to probe now? (YES/no):

It looks like i2c devices must be provided in /etc/dev.d or somhow else

Version-Release number of selected component (if applicable):

udev-034-2
Comment 1 Harald Hoyer 2004-10-13 11:09:13 EDT
lm_sensors-2.8.7-1 should add s.th. to /usr/sbin/sensors-detect like this:

[ -e /sys/bus/i2c ] || echo "No i2c support"

/sbin/modprobe i2c-dev

FILE=/dev/i2c-0
count=10
while [ ! -f  $FILE -a $count -gt 0 ]
do
  sleep 1
  count=$(($count-1))
done

if [ ! -f $FILE ]; then
  echo "No i2c support"
  exit 1
fi
Comment 2 Phil Knirsch 2004-10-18 07:53:27 EDT
The latest lm_sensors package should contain a fix for that problem.

Please give it a shot.

Read ya, Phil
Comment 3 Phil Knirsch 2005-05-23 11:58:56 EDT
Most likely fixed, closing due to inactivity.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.